!+ Function to determine the length of non-blank substring.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION NAME_LENGTH(NAME)
!
!
!
      IMPLICIT NONE
!
!
!     FUNCTION
      INTEGER	!, INTENT(OUT)
     &     NAME_LENGTH
!             LENGTH OF NAME
!
!     DUMMY ARGUMENT.
      CHARACTER	!, INTENT(IN)
     &     NAME*(*)
!             NAME TO BE STRIPED
!
!     LOCAL VARIABLE
      INTEGER
     &     J
!             LOOP VARIABLE
!
!
      J=1
1     IF (NAME(J:J).EQ.' ') THEN
         NAME_LENGTH=J
         RETURN
      ELSE IF (J.LT.LEN(NAME)) THEN
         J=J+1
         GOTO 1
      ELSE
         NAME_LENGTH=LEN(NAME)
         RETURN
      ENDIF
!
!
      END
